Skip to main content
POST
Create site

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

site:create

Allow members to create sites

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

Body

application/json
type
enum<string>
required
Available options:
laravel,
symfony,
statamic,
wordpress,
phpmyadmin,
php,
nextjs,
nuxtjs,
static-html,
other,
custom
name
required
domain_mode
www_redirect_type
enum<string>

The type of www redirection to apply to the domain.

Available options:
from-www,
to-www,
none
Example:

"from-www"

allow_wildcard_subdomains
boolean

Whether to allow wildcard subdomains for the domain.

Example:

false

root_directory
string | null
Pattern: ^[^\s]+$
web_directory
string | null
Pattern: ^[^\s]+$
is_isolated
boolean
isolated_user
string
Maximum string length: 32
Pattern: ^[a-z][\-a-z0-9_]*$
php_version
enum<string>
Available options:
php5,
php56-old,
php56,
php70,
php71,
php72,
php73,
php74,
php80,
php81,
php82,
php83,
php84,
php85
zero_downtime_deployments
boolean
shared_paths
object[]

A list of files or directories to be shared between releases for zero-downtime deployments.

nginx_template_id
integer
source_control_provider
enum<string> | null

All supported source control providers.

Available options:
github,
gitlab,
bitbucket,
gitlab-custom,
custom
source_control_provider_id
integer | null
repository
string | null
branch
string | null
database_id
integer

The ID of the database to use with the site.

database_user_id
integer

The ID of the database user to use with the site.

statamic_setup
string

The type of setup for Statmic apps.

statamic_starter_kit
string

The starter kit for the Statamic app.

statamic_super_user_email
string<email>
statamic_super_user_password
string | null
install_composer_dependencies
boolean
generate_deploy_key
boolean
public_deploy_key
string
private_deploy_key
string
frontend_package_manager
string

The package manager for frontend applications.

frontend_build_command
string

The build command for frontend assets.

nuxt_next_mode
string

The render mode for Next/Nuxt applications.

nuxt_next_port
integer

The port used for Next/Nuxt applications.

push_to_deploy
boolean
default:false

Automatically trigger a new deployment when changes are pushed to the environment's Git branch.

tags
string[] | null

Response

SiteResource

data
SiteResource · object
required
included
(ServerResource · object | TagResource · object | DeploymentResource · object | SecurityRuleResource · object | RedirectRuleResource · object)[]